> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get BACS file task status

> Return the current status of the BACS file generation task for a payrun.



## OpenAPI

````yaml /api-reference/preview.json get /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/bacs-file/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/bacs-file/status:
    get:
      tags:
        - Great Britain
        - BACS
      summary: Get BACS file task status
      description: Return the current status of the BACS file generation task for a payrun.
      operationId: >-
        get_bacs_task_status_gb_organizations__organization_id__payrolls__payroll_status_id__tasks_bacs_file_status_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: payroll_status_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Payroll Status Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GBBacsFileTask'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    GBBacsFileTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBBacsFileTask
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayrollTaskStatus:
      type: string
      enum:
        - DRAFT
        - IN_PROGRESS
        - SUCCESS
        - FAILED
      title: PayrollTaskStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````